# SPDX-FileCopyrightText: WTF Kooperative eG <https://wtf-eg.de/>
#
# SPDX-License-Identifier: AGPL-3.0-or-later

import unittest

from ki.test.ApiTest import ApiTest


class TestSkillsEndpoint(ApiTest):
    def test_skills_options(self):
        response = self.client.options("/skills")
        self.assertEqual(response.status_code, 200)
        self.assertIn("Access-Control-Allow-Origin", response.headers)
        self.assertEqual(response.headers["Access-Control-Allow-Origin"], "*")

    def test_get_skills1(self):
        token = self.login("peter", "geheim")["token"]

        response = self.client.get("/skills?search=p", headers={"Authorization": "Bearer " + token})
        self.assertEqual(response.status_code, 200)
        self.assertEqual(
            {
                "skills": [{
                    "id": 1,
                    "name": "PHP",
                    "icon_url": "/skills/1/icon"
                }, {
                    "id": 10,
                    "name": "PostgreSQL",
                    "icon_url": "/skills/10/icon"
                }, {
                    "id": 3,
                    "name": "Python",
                    "icon_url": "/skills/3/icon"
                }]
            }, response.json)
        self.assertIn("Access-Control-Allow-Origin", response.headers)
        self.assertEqual(response.headers["Access-Control-Allow-Origin"], "*")


if __name__ == "main":
    unittest.main()
